package com.fp.frontend.webservices.rest.util;

import javax.ws.rs.WebApplicationException;

import com.fp.frontend.webservices.rest.dto.StatusMessage;

public class JwtValidateException extends WebApplicationException {

    private static final long serialVersionUID = 1L;

    private StatusMessage statusMessage;

    public JwtValidateException(StatusMessage statusMessage) {
        super();
        this.statusMessage = statusMessage;
    }

    public StatusMessage getStatusMessage() {
        return statusMessage;
    }

    public void setStatusMessage(StatusMessage statusMessage) {
        this.statusMessage = statusMessage;
    }

}
